<?php

	/*
	 * Addon tvsshop
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: config.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$art_table	= $table_pre . "_articles";
	$cat_table	= $table_pre . "_categories";
	$thispage	= "tvsshop";
	$thissubpage= "import";
	$myIniFile	= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";
	$myUploadPath= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/import";

	$deletearticles= rex_post('deletearticles', 'string', '');
	
	if (file_exists($myIniFile)) {
		$stringData = file_get_contents($myIniFile);
		$settings = parse_ini_file($myIniFile);
	}

	if (!is_dir($myUploadPath))
		mkdir($myUploadPath);
	
	if (isset($_FILES['uploaded']['name'])) {
		$target	= $myUploadPath . "/" . basename( $_FILES['uploaded']['name'] );
		$ok		= 1;

		//This is our size condition
		if ($uploaded_size > 350000) {
			echo rex_warning("Datei zu groß!");
			$ok=0;
		}

		//This is our limit file type condition
		if ($uploaded_type =="text/php") {
			echo rex_warning("Falscher Dateityp!");
			$ok=0;
		}

		//Here we check that $ok was not set to 0 by an error
		if ($ok==0) {
			echo rex_warning("Datei wurde NICHT hochgeladen!");
		} else {
			if(move_uploaded_file($_FILES['uploaded']['tmp_name'], $target)) {
				echo rex_info("Die Datei ". basename( $_FILES['uploaded']['name']). " wurde erfolgreich hochgeladen!");
			} else {
				echo rex_warning("Es trat ein Problem auf beim Hochladen der Datei!");
				$ok=0;
			}
		}
		
		if ($ok == 1) { // Start importing...
			// `id`, `artnr`, `ean`, `title`, `description`, `keywords`, `price`, `clang`, `status`, `category_id`, `filelist`, `create_date`, `update_date`, `create_user`, `update_user`
			// LfdNr;ArtNr;Bezeichnung1;Bezeichnung2;Typ;EAN;EK;EVP;Bestand;Bild;Langtext;UStSatz;Wgr;Her

			$overridelines	= $settings['overridelines'];
			$separator		= $settings['separator'];
			if ($separator == "")
				$separator = ";";
			$default_category=$settings['default_category'];
			$default_status	= $settings['default_status'];

			$col_artnr		= $settings['col_artnr'] - 1;
			$col_ean		= $settings['col_ean'] - 1;
			$col_title		= $settings['col_title'] - 1;
			$col_description= $settings['col_description'] - 1;
			$col_price		= $settings['col_price'] - 1;
			$col_clang		= $settings['col_clang'] - 1;
			
			$file = @fopen($target, "r");
			if ($file) {
				$fcontent = fread($file, filesize($target));
				$all_articles_array = explode(chr(13),$fcontent);
				$imported = 0;

				$sql = new rex_sql();
				
				if ($deletearticles != "") {
					$sql->setQuery("DELETE FROM " . $art_table);
					echo rex_warning("Artikeldaten wurden gelöscht!");
				}
				for ($i = $overridelines; $i < count($all_articles_array); $i++) {
					$article_array = explode($separator,$all_articles_array[$i]);
					
					$artnr		= ($col_artnr > 0) ? str_replace(chr(34), "", utf8_encode($article_array[$col_artnr])) : "";
					$ean		= ($col_ean > 0) ? str_replace(chr(34), "", utf8_encode($article_array[$col_ean])) : "";
					$title		= ($col_title > 0) ? str_replace("'","",str_replace(chr(34), "", utf8_encode($article_array[$col_title]))) : "";
					$description= ($col_description > 0) ? str_replace("'","",str_replace(chr(34), "", utf8_encode($article_array[$col_description]))) : "";
					$price		= ($col_price > 0) ? str_replace(",",".",$article_array[$col_price]) : 0;
					$clang		= ($col_clang > 0) ? $article_array[$col_clang] : 1;
					$category	= $default_category;
					$status		= $default_status;
					
					if ($title != "" && $artnr != "") {
						$sql->setQuery("INSERT INTO " . $art_table . " (artnr, ean, title, description, category_id, price, create_date, clang, status) VALUES ('" . $artnr . "', '" . $ean . "', '" . $title . "', '" . $description . "', " . $category . ", " . $price . ", " . time() . ", " . $clang . ", " . $status . ")");
						if ($sql->getError() != "")
							echo rex_warning("Zeile " . ($i+1) . ":" . $sql->getError());
						else
							$imported++;
					}
				}
				echo rex_info($imported . " Artikel importiert!");
			}
		}
	}

?>

<div class="rex-addon-output">
	<h2 class="rex-hl2">Import</h2>
	<div class="rex-addon-content" >
		<form action="?page=<?php echo $thispage; ?>&subpage=<?php echo $thissubpage; ?>" method="post" enctype="multipart/form-data">
			<div class="rex-form-row">
				<p class="rex-form-col-a rex-form-submit rex-form-submit-1">
					W&auml;hlen Sie eine Importdatei im Textformat (txt, csv, usw.) zum Hochladen aus:<br />
					<input name="uploaded" type="file" size="50" maxlength="100000" accept="text/*" />
					<input type="submit" value="Hochladen" />
				</p>
			</div>
			<div class="rex-form-row">
				<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
					<input name="deletearticles" type="checkbox" size="1" /> Alle vorhandenen Artikel vor Import löschen!
				</p>
			</div>
			<div class="rex-form-row">
				<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
					<b>Für die Feld-Zuordnung beim Import unter 'Konfiguration' die 'col_-Zuordnungen beachten!</b>
				</p>
			</div>
		</form>
	</div>
</div>

<p>&nbsp;</p>
